အကြောင်းအရာသို့ ကျော်ရန်

FILM

ပေါင်းစည်းရန်

မော်ဒယ် id film
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/film?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

လုပ်ဆောင်မှုတစ်ကြိမ်လျှင် ၄.၆၈ $ အထိ အမှန်တကယ် အသုံးပြုမှုအလိုက် ကောက်ခံပြီး ကျန်ငွေကို ငွေပြန်အမ်းသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Google ပုံမှ ဗီဒီယို #interpolation

အစပုံနှင့် အဆုံးပုံကြားကို ကြားခံဖရိမ်များအဖြစ် ပုံများ သို့မဟုတ် ဗီဒီယို ထွက်ရလဒ်ဖြင့် ဖန်တီးပေးသည်

Google · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် start_image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

interpolation အတွက် ကနဦးပုံဖြစ်ပြီး အတွဲထဲမှ ပထမပုံကို URL ဖြင့် ပေးထားသည်။

•လိုအပ်သည် end_image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

interpolation အတွက် နောက်ဆုံးပုံဖြစ်ပြီး အတွဲထဲမှ ဒုတိယပုံကို URL ဖြင့် ပေးထားသည်။

အဆင့်မြင့် output_type · image_format · video_quality · video_write_mode · num_frames · fps · include_start · include_end · enable_safety_checker
output_type မူလ images

ဗီဒီယိုနှင့် တစ်ပုံချင်းစီအကြား ထွက်ရလဒ် ရွေးချယ်မှု။

image_format မူလ jpeg

'images' ကို output_type အဖြစ် အသုံးပြုသည့်အခါသာ အသုံးပြုသော ပုံဖော်မတ် ရွေးချယ်မှု။

video_quality မူလ high

'video' ကို output_type အဖြစ် အသုံးပြုသည့်အခါသာ အသုံးပြုသော ဗီဒီယိုအရည်အသွေး ရွေးချယ်မှု။

video_write_mode မူလ balanced

'video' ကို output_type အဖြစ် အသုံးပြုသည့်အခါသာ အသုံးပြုသော ဗီဒီယိုရေးသားမှုမုဒ်။

မူလ 1

ပေးထားသော ပုံများအကြား ဖန်တီးသည့် ကြားဖရိမ်များ၏ အရေအတွက်။

မူလ 8

တစ်စက္ကန့်လျှင် ဖရိမ်ဖြင့် တိုင်းတာပြီး 'video' ကို output_type အဖြစ် အသုံးပြုသည့်အခါသာ အသုံးပြုသော ဗီဒီယိုဖရိမ်နှုန်း သတ်မှတ်ချက်။

POST /run/film?wait=20 ကုန်ကျစရိတ် → ၄.၆၈ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/film?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

FILM အကြောင်း

`start_image_url` နှင့် `end_image_url` ပုံနှစ်ခုကြားရှိ ကြားခံဖရိမ်များကို ထုတ်ပေးသည်။ `num_frames` သည် 1 မှ 64 အထိ မည်မျှဖန်တီးမည်ကို သတ်မှတ်ပေးသည်။ `output_type` သည် ပုံများ သို့မဟုတ် ဗီဒီယို ဖြစ်သည်။ ဗီဒီယိုအတွက် `fps` (1 မှ 60)၊ `video_quality` နှင့် `video_write_mode` တို့ သက်ရောက်သည်။ `include_start` နှင့် `include_end` တို့သည် မူရင်းပုံများကို ထည့်သွင်းပေးသည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
start_image_urlလိုအပ်သည် image
အမျိုးအစားurl · image
interpolation အတွက် ကနဦးပုံဖြစ်ပြီး အတွဲထဲမှ ပထမပုံကို URL ဖြင့် ပေးထားသည်။
end_image_urlလိုအပ်သည် end_image
အမျိုးအစားurl · image
interpolation အတွက် နောက်ဆုံးပုံဖြစ်ပြီး အတွဲထဲမှ ဒုတိယပုံကို URL ဖြင့် ပေးထားသည်။
output_typeရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးimages
imagesvideo
ဗီဒီယိုနှင့် တစ်ပုံချင်းစီအကြား ထွက်ရလဒ် ရွေးချယ်မှု။
image_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးjpeg
pngjpeg
'images' ကို output_type အဖြစ် အသုံးပြုသည့်အခါသာ အသုံးပြုသော ပုံဖော်မတ် ရွေးချယ်မှု။
video_qualityရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးhigh
lowmediumhighmaximum
'video' ကို output_type အဖြစ် အသုံးပြုသည့်အခါသာ အသုံးပြုသော ဗီဒီယိုအရည်အသွေး ရွေးချယ်မှု။
video_write_modeရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးbalanced
fastbalancedsmall
'video' ကို output_type အဖြစ် အသုံးပြုသည့်အခါသာ အသုံးပြုသော ဗီဒီယိုရေးသားမှုမုဒ်။
num_framesရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး1
၁ – ၆၄
ပေးထားသော ပုံများအကြား ဖန်တီးသည့် ကြားဖရိမ်များ၏ အရေအတွက်။
include_startရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
ထွက်ရလဒ်တွင် အစပုံ ပါဝင်မပါဝင်ကို ထိန်းချုပ်သည်။
include_endရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
ထွက်ရလဒ်တွင် အဆုံးပုံ ပါဝင်မပါဝင်ကို ထိန်းချုပ်သည်။
fpsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး8
၁ – ၆၀
တစ်စက္ကန့်လျှင် ဖရိမ်ဖြင့် တိုင်းတာပြီး 'video' ကို output_type အဖြစ် အသုံးပြုသည့်အခါသာ အသုံးပြုသော ဗီဒီယိုဖရိမ်နှုန်း သတ်မှတ်ချက်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
caller က ခွင့်ပြုချက်ရှိပါက false သတ်မှတ်ခြင်းဖြင့် စစ်ဆေးမှုကို လျှော့ချနိုင်သည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "film",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4680,
    "usd": "4.68",
    "charged": 4680,
    "refunded": 0
  },
  "input": {
    "start_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
        "content_type": "video/mp4",
        "file_name": "0-output.mp4",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
images
array of object {url, content_type, file_name, file_size, width, height}ဖန်တီးထားသော ဖရိမ်များ ပါဝင်သည့် တစ်ပုံချင်းစီသော ပုံများ။
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames} | nulloutput_type ကို 'video' ဟု သတ်မှတ်သည့်အခါ ပြန်ပေးသော ဖန်တီးထားသည့် ဗီဒီယိုဖိုင်။

နောက်ထပ် မော်ဒယ်များ: ပုံမှ ဗီဒီယို

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/film.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt